summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-12-30 18:40:53 +0200
committerLars Wirzenius <liw@liw.fi>2018-12-30 18:40:53 +0200
commitdde454d54147d8fba5ea263bdf66d1cc48c44968 (patch)
treef40f106e4c7ab5b4cf8c5c0ee41ba4a60c395306 /build.sh
downloadeffireg-website-dde454d54147d8fba5ea263bdf66d1cc48c44968.tar.gz
Add: initial commit
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..8a04877
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -eu
+
+version="$(git describe --dirty)"
+blockdiag3 arch.diag
+pandoc \
+ -Vdate="Version: $version" \
+ --toc \
+ --standalone \
+ --self-contained \
+ --css arch.css \
+ -o arch.html \
+ *.yarn